
struct PathSettingsFile {

    let assetsOutputFolderPath: String

    let pagesOutputFolderPath: String

    let imagesOutputFolderPath: String

    let filesOutputFolderPath: String

    let videosOutputFolderPath: String

    let tagsOutputFolderPath: String

    let audioOutputFolderPath: String

    init(assetsOutputFolderPath: String,
         pagesOutputFolderPath: String,
         imagesOutputFolderPath: String,
         filesOutputFolderPath: String,
         videosOutputFolderPath: String,
         tagsOutputFolderPath: String,
         audioOutputFolderPath: String) {
        self.assetsOutputFolderPath = assetsOutputFolderPath
        self.pagesOutputFolderPath = pagesOutputFolderPath
        self.imagesOutputFolderPath = imagesOutputFolderPath
        self.filesOutputFolderPath = filesOutputFolderPath
        self.videosOutputFolderPath = videosOutputFolderPath
        self.tagsOutputFolderPath = tagsOutputFolderPath
        self.audioOutputFolderPath = audioOutputFolderPath
    }
}

extension PathSettingsFile: Codable {

}

extension PathSettingsFile {

    static var `default`: PathSettingsFile {
        PathSettingsFile(
            assetsOutputFolderPath: "asset",
            pagesOutputFolderPath: "page",
            imagesOutputFolderPath: "image",
            filesOutputFolderPath: "file",
            videosOutputFolderPath: "video",
            tagsOutputFolderPath: "tag",
            audioOutputFolderPath: "audio")
    }

}
